Name:           rpmdevtools
Version:        8.3
Release:        %mkrel 1
Summary:        RPM Development Tools

Group:          Development/Other
# rpmdev-setuptree is GPLv2, everything else GPLv2+
License:        GPLv2+ and GPLv2
URL:            https://fedorahosted.org/rpmdevtools/
Source0:        https://fedorahosted.org/released/rpmdevtools/%{name}-%{version}.tar.xz

BuildArch:      noarch
# help2man, pod2man, *python for creating man pages
BuildRequires:  help2man
BuildRequires:  python
BuildRequires:  python-rpm
Requires:       curl
Requires:       diffutils
Requires:       fakeroot
Requires:       file
Requires:       gawk
Requires:       man
Requires:       python
Requires:       rpm-build
Requires:       python-rpm

%description
This package contains scripts and (X)Emacs support files to aid in
development of RPM packages.
rpmdev-setuptree    Create RPM build tree within user's home directory
rpmdev-diff         Diff contents of two archives
rpmdev-newspec      Creates new .spec from template
rpmdev-rmdevelrpms  Find (and optionally remove) "development" RPMs
rpmdev-checksig     Check package signatures using alternate RPM keyring
rpminfo             Print information about executables and libraries
rpmdev-md5/sha*     Display checksums of all files in an archive file
rpmdev-vercmp       RPM version comparison checker
spectool            Expand and download sources and patches in specfiles
rpmdev-wipetree     Erase all files within dirs created by rpmdev-setuptree
rpmdev-extract      Extract various archives, "tar xvf" style
rpmdev-bumpspec     Bump revision in specfile
...and many more.


%prep
%setup -q

%build
%configure --libdir=%{_prefix}/lib
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%doc COPYING NEWS
%config(noreplace) %{_sysconfdir}/rpmdevtools/
%{_sysconfdir}/bash_completion.d/
%{_datadir}/rpmdevtools/
%{_bindir}/*
%{_mandir}/man[18]/*.[18]*


%changelog

* Tue Oct 16 2012 luigiwalser <luigiwalser> 8.3-1.mga2
+ Revision: 307280
- 8.3 (fixes CVE-2012-3500)
- 8.2

  + tv <tv>
    - new release

* Thu Jul 21 2011 misc <misc> 8.0-3.mga2
+ Revision: 127614
- remove old directve about emacs
  remove unused provides about spectool
- clean the spec, remove BuildRoot, clean Requires
- rpm-python is replaced by python-rpm

* Fri Feb 18 2011 dmorgan <dmorgan> 8.0-2.mga1
+ Revision: 53502
- Adapt for mageia
  Do not package emacs files for the moment, we need xemacs and maybe merge some macros from fedora
- imported package rpmdevtools

